package cn.freemud.enums;

/**
 * @author freemud
 * @title: TackCodeRuleEnum
 * @projectName micro_openplatform_service
 * @description: TODO
 * @date 2021/5/26下午9:11
 */
public enum OrderTackCodeRuleEnum {
    RANDOM_NUMBER_ONE((byte) 1, "每天第一个随机数，递增1"),
    RANDOM_NUMBER((byte)2, "随机数"),
    THE_CUSTOM((byte)3, "自定义");

    private byte code;
    private String message;

    OrderTackCodeRuleEnum(byte code, String message) {
        this.code = code;
        this.message = message;
    }

    public byte getCode() {
        return code;
    }

    public void setCode(byte code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
